Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## dioscuri.module.ata
Enum ATATranslationType

    java.lang.Object
      java.lang.Enum<ATATranslationType>
          dioscuri.module.ata.ATATranslationType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ATATranslationType>

    public enum ATATranslationType

extends java.lang.Enum<ATATranslationType>

An enumeration representing the translation types for a ATA drive.

Enum Constant Summary
`AUTO`
`LARGE`
`LBA`
`NONE`
`RECHS`

Method Summary
`java.lang.String` | `toString()` get the name of the translation type.
`static ATATranslationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ATATranslationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final ATATranslationType NONE

### LBA

    public static final ATATranslationType LBA

### LARGE

    public static final ATATranslationType LARGE

### RECHS

    public static final ATATranslationType RECHS

### AUTO

    public static final ATATranslationType AUTO

Method Detail

### values

    public static ATATranslationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ATATranslationType c : ATATranslationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ATATranslationType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  get the name of the translation type.

  Overrides:
    `toString` in class `java.lang.Enum<ATATranslationType>`
  Returns:
    the name of the translation type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD